Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Interface AgentListener

    public interface AgentListener

Represents an agent listener being notified when the state of an individual agent changes.

Method Summary
`void` | `agentAdded(Agent agent, DetailedAgentGroup group)` This method is called when the agent `agent` is added to the agent group `group`.
`void` | `agentAvailable(Agent agent, boolean avail)` This method is called when the availability status of the agent `agent` changes to `avail`.
`void` | `agentRemoved(Agent agent, DetailedAgentGroup group)` This method is called when the agent `agent` is removed from the agent group `group`.
`void` | `beginService(EndServiceEventDetailed ev)` This method is called after the service of a contact by an agent is started.
`void` | `endContact(EndServiceEventDetailed ev)` This method is called when the communication with a contact is terminated.
`void` | `endService(EndServiceEventDetailed ev)` This method is called after the service of a contact by an agent was terminated.
`void` | `init(Agent agent)` This method is called when the `Agent.init()` method is called.

Method Detail

### agentAvailable

    void agentAvailable(Agent agent,
                        boolean avail)

  This method is called when the availability status of the agent `agent` changes to `avail`.

  Parameters:
    `agent` - the agent being affected.
    `avail` - the new availability status.

### agentAdded

    void agentAdded(Agent agent,
                    DetailedAgentGroup group)

  This method is called when the agent `agent` is added to the agent group `group`.

  Parameters:
    `agent` - the agent being added.
    `group` - the agent group the agent is added to.

### agentRemoved

    void agentRemoved(Agent agent,
                      DetailedAgentGroup group)

  This method is called when the agent `agent` is removed from the agent group `group`.

  Parameters:
    `agent` - the agent being removed.
    `group` - the agent group the agent is removed from.

### init

    void init(Agent agent)

  This method is called when the `Agent.init()` method is called.

  Parameters:
    `agent` - the initialized agent.

### beginService

    void beginService(EndServiceEventDetailed ev)

  This method is called after the service of a contact by an agent is started. The end-service event `ev` holds all the available information about the service.

  Parameters:
    `ev` - the end-service event associated with the contact being served by an agent.

### endContact

    void endContact(EndServiceEventDetailed ev)

  This method is called when the communication with a contact is terminated. The end-service event `ev` holds all the available information about the service.

  Parameters:
    `ev` - the end-service event associated with the served contact.

### endService

    void endService(EndServiceEventDetailed ev)

  This method is called after the service of a contact by an agent was terminated. The service includes the communication and the after-contact work. The end-service event `ev` holds all the available information about the service.

  Parameters:
    `ev` - the end-service event associated with the served contact.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.